Menu

## BitBufferTest extends TestCase
in package

BitBufferTest.php : 20

BitBuffer coverage test

### Table of Contents

$bitBuffer : BitBuffer
bitProvider() : array<string|int, mixed>
testPut() : void
testReadException() : void
setUp() : void

### Properties

#### $bitBuffer

BitBufferTest.php : 22
`private BitBuffer $bitBuffer`

### Methods

#### bitProvider()

BitBufferTest.php : 28
`public bitProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testPut()

BitBufferTest.php : 40
`public testPut(int $data, int $value) : void`

##### Parameters

$data : int
$value : int

##### Tags

dataProvider

  bitProvider

##### Return values

void —

#### testReadException()

BitBufferTest.php : 46
`public testReadException() : void`

##### Return values

void —

#### setUp()

BitBufferTest.php : 24
`protected setUp() : void`

##### Return values

void —

## Search results